using System;
using System.IO;

internal sealed class Delegate573 : MulticastDelegate
{
	public extern void Invoke(object object_0, RenamedEventHandler renamedEventHandler_0);

	public static void smethod_0(object object_0, RenamedEventHandler renamedEventHandler_0, Delegate573 delegate573_1)
	{
		delegate573_1(object_0, renamedEventHandler_0);
	}

	public extern Delegate573(object object_0, IntPtr intptr_0);

	static Delegate573()
	{
		Class10.smethod_13(typeof(Delegate573).TypeHandle);
	}

	internal static Delegate573 delegate573_0;
}
